From 3d1f36130a77fc5230d7c9089d9e4b1afa9e8ffe Mon Sep 17 00:00:00 2001
From: David Shier <davidjshier@gmail.com>
Date: Tue, 2 Oct 2018 02:01:03 +0200
Subject: [PATCH] Removed all traces i could fild of the tagger and statscache
 (and stats_cache for databases) in ansible, proxy configs, and the nagios
 config. Pursuant to request in pagzre issue
 https://pagure.io/fedora-infrastructure/issue/7267 . - Odin2016

---
 inventory/group_vars/statscache-backend       |  16 ---
 inventory/group_vars/statscache-backend-stg   |  13 --
 inventory/group_vars/statscache-web           |  12 --
 inventory/group_vars/statscache-web-stg       |  12 --
 inventory/group_vars/tagger                   |  36 -----
 inventory/group_vars/tagger-stg               |  36 -----
 .../host_vars/db01.phx2.fedoraproject.org     |   4 -
 ...tatscache-backend01.phx2.fedoraproject.org |  14 --
 ...cache-backend01.stg.phx2.fedoraproject.org |  14 --
 .../statscache-web01.phx2.fedoraproject.org   |  14 --
 ...tatscache-web01.stg.phx2.fedoraproject.org |  14 --
 .../statscache-web02.phx2.fedoraproject.org   |  14 --
 ...tatscache-web02.stg.phx2.fedoraproject.org |  14 --
 .../host_vars/tagger01.phx2.fedoraproject.org |  14 --
 .../tagger01.stg.phx2.fedoraproject.org       |  14 --
 .../host_vars/tagger02.phx2.fedoraproject.org |  14 --
 inventory/inventory                           |  35 -----
 master.yml                                    |   2 -
 playbooks/fedmsgupdate.yml                    |   1 -
 playbooks/groups/statscache.yml               |  66 ----------
 playbooks/groups/tagger.yml                   |  70 ----------
 playbooks/include/proxies-reverseproxy.yml    |  15 ---
 playbooks/manual/rebuild/fedora-packages.yml  |   4 +-
 playbooks/manual/upgrade/statscache.yml       | 100 --------------
 playbooks/manual/upgrade/tagger.yml           |  57 --------
 roles/apps-fp-o/files/apps.yaml               |  15 ---
 roles/base/templates/syncHttpLogs.sh.j2       |  19 ---
 roles/haproxy/templates/haproxy.cfg           |  22 ----
 ...backend01.stg.phx2.fedoraproject.org-hosts |  11 --
 .../tagger01.phx2.fedoraproject.org-hosts     |   7 -
 .../tagger02.phx2.fedoraproject.org-hosts     |   7 -
 roles/ipsilon/templates/configuration.conf    |   2 +-
 .../templates/nagios/services/websites.cfg.j2 |   8 --
 .../notifs/backend/templates/fmn.consumer.py  |   1 -
 .../statscache-web01.phx2.fedoraproject.org   |   2 -
 .../statscache-web02.phx2.fedoraproject.org   |   2 -
 .../files/ccd/tagger01.phx2.fedoraproject.org |   2 -
 .../files/ccd/tagger02.phx2.fedoraproject.org |   2 -
 roles/packages3/web/tasks/main.yml            |   2 +-
 .../web/templates/packages-app.ini.j2         |   3 -
 roles/statscache/backend/tasks/main.yml       |  43 ------
 .../statscache/backend/templates/alembic.ini  |  53 --------
 .../backend/templates/statscache.py           |  55 --------
 .../statscache/frontend/files/statscache.wsgi |   8 --
 roles/statscache/frontend/tasks/main.yml      |  75 -----------
 .../frontend/templates/statscache.cfg         |   2 -
 .../frontend/templates/statscache.conf        |  18 ---
 .../frontend/templates/statscache.py          |  37 ------
 roles/tagger/files/cron-tagger-remove-retired |   2 -
 roles/tagger/files/cron-tagger-update-db      |   2 -
 roles/tagger/tasks/main.yml                   | 123 ------------------
 roles/tagger/templates/alembic.ini            |  53 --------
 roles/tagger/templates/fedoratagger-app.conf  |  48 -------
 roles/tagger/templates/fedoratagger.cfg.j2    |  30 -----
 roles/varnish/templates/proxies.vcl.j2        |  12 --
 55 files changed, 4 insertions(+), 1267 deletions(-)
 delete mode 100644 inventory/group_vars/statscache-backend
 delete mode 100644 inventory/group_vars/statscache-backend-stg
 delete mode 100644 inventory/group_vars/statscache-web
 delete mode 100644 inventory/group_vars/statscache-web-stg
 delete mode 100644 inventory/group_vars/tagger
 delete mode 100644 inventory/group_vars/tagger-stg
 delete mode 100644 inventory/host_vars/statscache-backend01.phx2.fedoraproject.org
 delete mode 100644 inventory/host_vars/statscache-backend01.stg.phx2.fedoraproject.org
 delete mode 100644 inventory/host_vars/statscache-web01.phx2.fedoraproject.org
 delete mode 100644 inventory/host_vars/statscache-web01.stg.phx2.fedoraproject.org
 delete mode 100644 inventory/host_vars/statscache-web02.phx2.fedoraproject.org
 delete mode 100644 inventory/host_vars/statscache-web02.stg.phx2.fedoraproject.org
 delete mode 100644 inventory/host_vars/tagger01.phx2.fedoraproject.org
 delete mode 100644 inventory/host_vars/tagger01.stg.phx2.fedoraproject.org
 delete mode 100644 inventory/host_vars/tagger02.phx2.fedoraproject.org
 delete mode 100644 playbooks/groups/statscache.yml
 delete mode 100644 playbooks/groups/tagger.yml
 delete mode 100644 playbooks/manual/upgrade/statscache.yml
 delete mode 100644 playbooks/manual/upgrade/tagger.yml
 delete mode 100644 roles/hosts/files/statscache-backend01.stg.phx2.fedoraproject.org-hosts
 delete mode 100644 roles/hosts/files/tagger01.phx2.fedoraproject.org-hosts
 delete mode 100644 roles/hosts/files/tagger02.phx2.fedoraproject.org-hosts
 delete mode 100644 roles/openvpn/server/files/ccd/statscache-web01.phx2.fedoraproject.org
 delete mode 100644 roles/openvpn/server/files/ccd/statscache-web02.phx2.fedoraproject.org
 delete mode 100644 roles/openvpn/server/files/ccd/tagger01.phx2.fedoraproject.org
 delete mode 100644 roles/openvpn/server/files/ccd/tagger02.phx2.fedoraproject.org
 delete mode 100644 roles/statscache/backend/tasks/main.yml
 delete mode 100644 roles/statscache/backend/templates/alembic.ini
 delete mode 100644 roles/statscache/backend/templates/statscache.py
 delete mode 100644 roles/statscache/frontend/files/statscache.wsgi
 delete mode 100644 roles/statscache/frontend/tasks/main.yml
 delete mode 100644 roles/statscache/frontend/templates/statscache.cfg
 delete mode 100644 roles/statscache/frontend/templates/statscache.conf
 delete mode 100644 roles/statscache/frontend/templates/statscache.py
 delete mode 100644 roles/tagger/files/cron-tagger-remove-retired
 delete mode 100644 roles/tagger/files/cron-tagger-update-db
 delete mode 100644 roles/tagger/tasks/main.yml
 delete mode 100644 roles/tagger/templates/alembic.ini
 delete mode 100644 roles/tagger/templates/fedoratagger-app.conf
 delete mode 100644 roles/tagger/templates/fedoratagger.cfg.j2

diff --git a/inventory/group_vars/statscache-backend b/inventory/group_vars/statscache-backend
deleted file mode 100644
index 5d681ce00..000000000
--- a/inventory/group_vars/statscache-backend
+++ /dev/null
@@ -1,16 +0,0 @@
----
-# Define resources for this group of hosts here. 
-lvm_size: 20000
-mem_size: 16384
-num_cpus: 4
-
-# for systems that do not match the above - specify the same parameter in
-# the host_vars/$hostname file
-
-# No fedmsg publication... no ports.
-tcp_ports: []
-
-fas_client_groups: sysadmin-noc,sysadmin-datanommer,sysadmin-veteran
-
-# For performance measurement.. for now.  This can be removed whenever.
-fedmsg_loglevel: DEBUG
diff --git a/inventory/group_vars/statscache-backend-stg b/inventory/group_vars/statscache-backend-stg
deleted file mode 100644
index 9756c844d..000000000
--- a/inventory/group_vars/statscache-backend-stg
+++ /dev/null
@@ -1,13 +0,0 @@
----
-# Define resources for this group of hosts here. 
-lvm_size: 20000
-mem_size: 1024
-num_cpus: 2
-
-# for systems that do not match the above - specify the same parameter in
-# the host_vars/$hostname file
-
-# Nope
-tcp_ports: []
-
-fas_client_groups: sysadmin-noc,sysadmin-datanommer,sysadmin-veteran
diff --git a/inventory/group_vars/statscache-web b/inventory/group_vars/statscache-web
deleted file mode 100644
index d665d286b..000000000
--- a/inventory/group_vars/statscache-web
+++ /dev/null
@@ -1,12 +0,0 @@
----
-# Define resources for this group of hosts here. 
-lvm_size: 20000
-mem_size: 1024
-num_cpus: 2
-
-# for systems that do not match the above - specify the same parameter in
-# the host_vars/$hostname file
-
-tcp_ports: [ 80 ]
-
-fas_client_groups: sysadmin-noc,sysadmin-datanommer,sysadmin-veteran
diff --git a/inventory/group_vars/statscache-web-stg b/inventory/group_vars/statscache-web-stg
deleted file mode 100644
index d665d286b..000000000
--- a/inventory/group_vars/statscache-web-stg
+++ /dev/null
@@ -1,12 +0,0 @@
----
-# Define resources for this group of hosts here. 
-lvm_size: 20000
-mem_size: 1024
-num_cpus: 2
-
-# for systems that do not match the above - specify the same parameter in
-# the host_vars/$hostname file
-
-tcp_ports: [ 80 ]
-
-fas_client_groups: sysadmin-noc,sysadmin-datanommer,sysadmin-veteran
diff --git a/inventory/group_vars/tagger b/inventory/group_vars/tagger
deleted file mode 100644
index d74ed6a9e..000000000
--- a/inventory/group_vars/tagger
+++ /dev/null
@@ -1,36 +0,0 @@
----
-# Define resources for this group of hosts here. 
-lvm_size: 20000
-mem_size: 4096
-num_cpus: 2
-
-# for systems that do not match the above - specify the same parameter in
-# the host_vars/$hostname file
-
-wsgi_fedmsg_service: fedoratagger
-wsgi_procs: 2
-wsgi_threads: 2
-
-tcp_ports: [ 80 ]
-
-# Neeed for rsync from log01 for logs.
-custom_rules: [ '-A INPUT -p tcp -m tcp -s 10.5.126.13 --dport 873 -j ACCEPT', '-A INPUT -p tcp -m tcp -s 192.168.1.59 --dport 873 -j ACCEPT' ]
-
-fas_client_groups: sysadmin-noc,sysadmin-veteran
-
-# These are consumed by a task in roles/fedmsg/base/main.yml
-fedmsg_certs:
-- service: shell
-  owner: root
-  group: sysadmin
-  can_send:
-  - logger.log
-- service: fedoratagger
-  owner: root
-  group: fedoratagger
-  can_send:
-  - fedoratagger.rating.update
-  - fedoratagger.tag.create
-  - fedoratagger.tag.update
-  - fedoratagger.usage.toggle
-  - fedoratagger.user.rank.update
diff --git a/inventory/group_vars/tagger-stg b/inventory/group_vars/tagger-stg
deleted file mode 100644
index f2ff4a281..000000000
--- a/inventory/group_vars/tagger-stg
+++ /dev/null
@@ -1,36 +0,0 @@
----
-# Define resources for this group of hosts here. 
-lvm_size: 20000
-mem_size: 1024
-num_cpus: 2
-
-# for systems that do not match the above - specify the same parameter in
-# the host_vars/$hostname file
-
-wsgi_fedmsg_service: fedoratagger
-wsgi_procs: 2
-wsgi_threads: 2
-
-tcp_ports: [ 80 ]
-
-# Neeed for rsync from log01 for logs.
-custom_rules: [ '-A INPUT -p tcp -m tcp -s 10.5.126.13 --dport 873 -j ACCEPT', '-A INPUT -p tcp -m tcp -s 192.168.1.59 --dport 873 -j ACCEPT' ]
-
-fas_client_groups: sysadmin-noc,sysadmin-veteran
-
-# These are consumed by a task in roles/fedmsg/base/main.yml
-fedmsg_certs:
-- service: shell
-  owner: root
-  group: sysadmin
-  can_send:
-  - logger.log
-- service: fedoratagger
-  owner: root
-  group: fedoratagger
-  can_send:
-  - fedoratagger.rating.update
-  - fedoratagger.tag.create
-  - fedoratagger.tag.update
-  - fedoratagger.usage.toggle
-  - fedoratagger.user.rank.update
diff --git a/inventory/host_vars/db01.phx2.fedoraproject.org b/inventory/host_vars/db01.phx2.fedoraproject.org
index 6c7545a2f..09ad60ce5 100644
--- a/inventory/host_vars/db01.phx2.fedoraproject.org
+++ b/inventory/host_vars/db01.phx2.fedoraproject.org
@@ -19,7 +19,6 @@ databases:
 - bodhi2
 - elections
 - fedocal
-- fedoratagger
 - hyperkitty
 - kerneltest
 - koschei
@@ -31,7 +30,6 @@ databases:
 - odcs
 - pagure
 - pdc
-- statscache
 - tahrir
 - waiverdb
 
@@ -44,7 +42,6 @@ dbs_to_backup:
 - bodhi2
 - elections
 - fedocal
-- fedoratagger
 - hyperkitty
 - kerneltest
 - koschei
@@ -56,7 +53,6 @@ dbs_to_backup:
 - odcs
 - pagure
 - pdc
-- statscache
 - tahrir
 - waiverdb
 
diff --git a/inventory/host_vars/statscache-backend01.phx2.fedoraproject.org b/inventory/host_vars/statscache-backend01.phx2.fedoraproject.org
deleted file mode 100644
index 59e97fb61..000000000
--- a/inventory/host_vars/statscache-backend01.phx2.fedoraproject.org
+++ /dev/null
@@ -1,14 +0,0 @@
----
-nm: 255.255.255.0
-gw: 10.5.126.254
-dns: 10.5.126.21
-
-ks_url: http://10.5.126.23/repo/rhel/ks/kvm-rhel-7
-ks_repo: http://10.5.126.23/repo/rhel/RHEL7-x86_64/
-
-eth0_ip: 10.5.126.81
-
-volgroup: /dev/vg_guests
-vmhost: virthost21.phx2.fedoraproject.org
-
-datacenter: phx2
diff --git a/inventory/host_vars/statscache-backend01.stg.phx2.fedoraproject.org b/inventory/host_vars/statscache-backend01.stg.phx2.fedoraproject.org
deleted file mode 100644
index 6634e7371..000000000
--- a/inventory/host_vars/statscache-backend01.stg.phx2.fedoraproject.org
+++ /dev/null
@@ -1,14 +0,0 @@
----
-nm: 255.255.255.0
-gw: 10.5.128.254
-dns: 10.5.126.21
-
-ks_url: http://10.5.126.23/repo/rhel/ks/kvm-rhel-7
-ks_repo: http://10.5.126.23/repo/rhel/RHEL7-x86_64/
-
-eth0_ip: 10.5.128.181
-
-volgroup: /dev/vg_virthost16
-vmhost: virthost05.stg.phx2.fedoraproject.org
-
-datacenter: phx2
diff --git a/inventory/host_vars/statscache-web01.phx2.fedoraproject.org b/inventory/host_vars/statscache-web01.phx2.fedoraproject.org
deleted file mode 100644
index 0e44cce8a..000000000
--- a/inventory/host_vars/statscache-web01.phx2.fedoraproject.org
+++ /dev/null
@@ -1,14 +0,0 @@
----
-nm: 255.255.255.0
-gw: 10.5.126.254
-dns: 10.5.126.21
-
-ks_url: http://10.5.126.23/repo/rhel/ks/kvm-rhel-7
-ks_repo: http://10.5.126.23/repo/rhel/RHEL7-x86_64/
-
-eth0_ip: 10.5.126.31
-
-volgroup: /dev/vg_guests
-vmhost: virthost02.phx2.fedoraproject.org
-
-datacenter: phx2
diff --git a/inventory/host_vars/statscache-web01.stg.phx2.fedoraproject.org b/inventory/host_vars/statscache-web01.stg.phx2.fedoraproject.org
deleted file mode 100644
index cf0512468..000000000
--- a/inventory/host_vars/statscache-web01.stg.phx2.fedoraproject.org
+++ /dev/null
@@ -1,14 +0,0 @@
----
-nm: 255.255.255.0
-gw: 10.5.128.254
-dns: 10.5.126.21
-
-ks_url: http://10.5.126.23/repo/rhel/ks/kvm-rhel-7
-ks_repo: http://10.5.126.23/repo/rhel/RHEL7-x86_64/
-
-eth0_ip: 10.5.128.182
-
-volgroup: /dev/vg_guests
-vmhost: virthost01.stg.phx2.fedoraproject.org
-
-datacenter: phx2
diff --git a/inventory/host_vars/statscache-web02.phx2.fedoraproject.org b/inventory/host_vars/statscache-web02.phx2.fedoraproject.org
deleted file mode 100644
index a936331e5..000000000
--- a/inventory/host_vars/statscache-web02.phx2.fedoraproject.org
+++ /dev/null
@@ -1,14 +0,0 @@
----
-nm: 255.255.255.0
-gw: 10.5.126.254
-dns: 10.5.126.21
-
-ks_url: http://10.5.126.23/repo/rhel/ks/kvm-rhel-7
-ks_repo: http://10.5.126.23/repo/rhel/RHEL7-x86_64/
-
-eth0_ip: 10.5.126.32
-
-volgroup: /dev/vg_guests
-vmhost: virthost19.phx2.fedoraproject.org
-
-datacenter: phx2
diff --git a/inventory/host_vars/statscache-web02.stg.phx2.fedoraproject.org b/inventory/host_vars/statscache-web02.stg.phx2.fedoraproject.org
deleted file mode 100644
index 1b1a9cf59..000000000
--- a/inventory/host_vars/statscache-web02.stg.phx2.fedoraproject.org
+++ /dev/null
@@ -1,14 +0,0 @@
----
-nm: 255.255.255.0
-gw: 10.5.128.254
-dns: 10.5.126.21
-
-ks_url: http://10.5.126.23/repo/rhel/ks/kvm-rhel-7
-ks_repo: http://10.5.126.23/repo/rhel/RHEL7-x86_64/
-
-eth0_ip: 10.5.128.183
-
-volgroup: /dev/vg_guests
-vmhost: virthost04.stg.phx2.fedoraproject.org
-
-datacenter: phx2
diff --git a/inventory/host_vars/tagger01.phx2.fedoraproject.org b/inventory/host_vars/tagger01.phx2.fedoraproject.org
deleted file mode 100644
index 49d826e56..000000000
--- a/inventory/host_vars/tagger01.phx2.fedoraproject.org
+++ /dev/null
@@ -1,14 +0,0 @@
----
-nm: 255.255.255.0
-gw: 10.5.126.254
-dns: 10.5.126.21
-
-ks_url: http://10.5.126.23/repo/rhel/ks/kvm-rhel-7
-ks_repo: http://10.5.126.23/repo/rhel/RHEL7-x86_64/
-
-install_tagger_cron: true
-
-volgroup: /dev/vg_guests
-vmhost: virthost14.phx2.fedoraproject.org
-eth0_ip: 10.5.126.212
-datacenter: phx2
diff --git a/inventory/host_vars/tagger01.stg.phx2.fedoraproject.org b/inventory/host_vars/tagger01.stg.phx2.fedoraproject.org
deleted file mode 100644
index cc6318555..000000000
--- a/inventory/host_vars/tagger01.stg.phx2.fedoraproject.org
+++ /dev/null
@@ -1,14 +0,0 @@
----
-nm: 255.255.255.0
-gw: 10.5.128.254
-dns: 10.5.126.21
-
-ks_url: http://10.5.126.23/repo/rhel/ks/kvm-rhel-7
-ks_repo: http://10.5.126.23/repo/rhel/RHEL7-x86_64/
-
-install_tagger_cron: true
-
-volgroup: /dev/vg_guests
-eth0_ip: 10.5.128.186
-vmhost: virthost01.stg.phx2.fedoraproject.org
-datacenter: phx2
diff --git a/inventory/host_vars/tagger02.phx2.fedoraproject.org b/inventory/host_vars/tagger02.phx2.fedoraproject.org
deleted file mode 100644
index ad8825f59..000000000
--- a/inventory/host_vars/tagger02.phx2.fedoraproject.org
+++ /dev/null
@@ -1,14 +0,0 @@
----
-nm: 255.255.255.0
-gw: 10.5.126.254
-dns: 10.5.126.21
-
-ks_url: http://10.5.126.23/repo/rhel/ks/kvm-rhel-7
-ks_repo: http://10.5.126.23/repo/rhel/RHEL7-x86_64/
-
-install_tagger_cron: false
-
-volgroup: /dev/vg_guests
-vmhost: virthost12.phx2.fedoraproject.org
-eth0_ip: 10.5.126.214
-datacenter: phx2
diff --git a/inventory/inventory b/inventory/inventory
index eae735a12..55b499d91 100644
--- a/inventory/inventory
+++ b/inventory/inventory
@@ -838,11 +838,7 @@ rabbitmq03.stg.phx2.fedoraproject.org
 resultsdb-stg01.qa.fedoraproject.org
 retrace02.qa.fedoraproject.org
 sign-bridge01.stg.phx2.fedoraproject.org
-statscache-backend01.stg.phx2.fedoraproject.org
-statscache-web01.stg.phx2.fedoraproject.org
-statscache-web02.stg.phx2.fedoraproject.org
 sundries01.stg.phx2.fedoraproject.org
-tagger01.stg.phx2.fedoraproject.org
 taskotron-stg01.qa.fedoraproject.org
 value01.stg.phx2.fedoraproject.org
 bvirthost01.stg.phx2.fedoraproject.org
@@ -880,28 +876,6 @@ openqa-stg01.qa.fedoraproject.org
 tang01.phx2.fedoraproject.org
 tang02.phx2.fedoraproject.org
 
-[statscache:children]
-statscache-web
-statscache-backend
-
-[statscache-stg:children]
-statscache-web-stg
-statscache-backend-stg
-
-[statscache-web]
-statscache-web01.phx2.fedoraproject.org
-statscache-web02.phx2.fedoraproject.org
-
-[statscache-web-stg]
-statscache-web01.stg.phx2.fedoraproject.org
-statscache-web02.stg.phx2.fedoraproject.org
-
-[statscache-backend]
-statscache-backend01.phx2.fedoraproject.org
-
-[statscache-backend-stg]
-statscache-backend01.stg.phx2.fedoraproject.org
-
 [sundries]
 sundries01.phx2.fedoraproject.org
 sundries02.phx2.fedoraproject.org
@@ -909,13 +883,6 @@ sundries02.phx2.fedoraproject.org
 [sundries-stg]
 sundries01.stg.phx2.fedoraproject.org
 
-[tagger]
-tagger01.phx2.fedoraproject.org
-tagger02.phx2.fedoraproject.org
-
-[tagger-stg]
-tagger01.stg.phx2.fedoraproject.org
-
 [taskotron:children]
 taskotron-dev
 taskotron-stg
@@ -1019,7 +986,6 @@ mbs-backend
 notifs-backend
 pdc-backend
 pkgs
-statscache-backend
 
 [fedmsg-hubs-stg:children]
 autocloud-backend-stg
@@ -1033,7 +999,6 @@ mbs-backend-stg
 notifs-backend-stg
 pdc-backend-stg
 pkgs-stg
-statscache-backend-stg
 
 [fedmsg-ircs:children]
 value
diff --git a/master.yml b/master.yml
index 27196593b..ea8c24efa 100644
--- a/master.yml
+++ b/master.yml
@@ -96,9 +96,7 @@
 - import_playbook: /srv/web/infra/ansible/playbooks/groups/smtp-mm.yml
 - import_playbook: /srv/web/infra/ansible/playbooks/groups/sign-bridge.yml
 - import_playbook: /srv/web/infra/ansible/playbooks/groups/simple-koji-ci.yml
-- import_playbook: /srv/web/infra/ansible/playbooks/groups/statscache.yml
 - import_playbook: /srv/web/infra/ansible/playbooks/groups/sundries.yml
-- import_playbook: /srv/web/infra/ansible/playbooks/groups/tagger.yml
 - import_playbook: /srv/web/infra/ansible/playbooks/groups/tang.yml
 - import_playbook: /srv/web/infra/ansible/playbooks/groups/taskotron.yml
 - import_playbook: /srv/web/infra/ansible/playbooks/groups/taskotron-client-hosts.yml
diff --git a/playbooks/fedmsgupdate.yml b/playbooks/fedmsgupdate.yml
index c56e66d2f..da1cf3a06 100644
--- a/playbooks/fedmsgupdate.yml
+++ b/playbooks/fedmsgupdate.yml
@@ -21,6 +21,5 @@
 - include_playbook: /srv/web/infra/ansible/playbooks/groups/nuancier.yml
 - include_playbook: /srv/web/infra/ansible/playbooks/groups/packages.yml
 - include_playbook: /srv/web/infra/ansible/playbooks/groups/releng.yml
-- include_playbook: /srv/web/infra/ansible/playbooks/groups/tagger.yml
 - include_playbook: /srv/web/infra/ansible/playbooks/groups/wiki.yml
 - include_playbook: /srv/web/infra/ansible/playbooks/groups/value.yml
diff --git a/playbooks/groups/statscache.yml b/playbooks/groups/statscache.yml
deleted file mode 100644
index 7c5948f43..000000000
--- a/playbooks/groups/statscache.yml
+++ /dev/null
@@ -1,66 +0,0 @@
-# create a new notifs-web server
-# NOTE: should be used with --limit most of the time
-# NOTE: make sure there is room/space for this server on the vmhost
-# NOTE: most of these vars_path come from group_vars/notifs-web* or from hostvars
-
-- import_playbook: "/srv/web/infra/ansible/playbooks/include/virt-create.yml myhosts=statscache:statscache-stg"
-
-- name: make the box be real
-  hosts: statscache:statscache-stg
-  user: root
-  gather_facts: True
-  vars_files:
-   - /srv/web/infra/ansible/vars/global.yml
-   - "/srv/private/ansible/vars.yml"
-   - /srv/web/infra/ansible/vars/{{ ansible_distribution }}.yml
-  handlers:
-  - import_tasks: "{{ handlers_path }}/restart_services.yml"
-
-  roles:
-  - base
-  - rkhunter
-  - nagios_client
-  - hosts
-  - fas_client
-  - collectd/base
-  - fedmsg/base
-  - sudo
-
-  tasks:
-  - import_tasks: "{{ tasks_path }}/yumrepos.yml"
-  - import_tasks: "{{ tasks_path }}/2fa_client.yml"
-  - import_tasks: "{{ tasks_path }}/motd.yml"
-
-- name: Stuff just for the web frontend
-  hosts: statscache-web:statscache-web-stg
-  user: root
-  gather_facts: True
-  vars_files:
-   - /srv/web/infra/ansible/vars/global.yml
-   - "/srv/private/ansible/vars.yml"
-   - /srv/web/infra/ansible/vars/{{ ansible_distribution }}.yml
-  handlers:
-  - import_tasks: "{{ handlers_path }}/restart_services.yml"
-
-  roles:
-  - mod_wsgi
-  - role: openvpn/client
-    when: env != "staging"
-  - statscache/frontend
-
-- name: Stuff just for the fedmsg backend
-  hosts: statscache-backend:statscache-backend-stg
-  user: root
-  gather_facts: True
-  vars_files:
-   - /srv/web/infra/ansible/vars/global.yml
-   - "/srv/private/ansible/vars.yml"
-   - /srv/web/infra/ansible/vars/{{ ansible_distribution }}.yml
-  handlers:
-  - import_tasks: "{{ handlers_path }}/restart_services.yml"
-
-  roles:
-  - fedmsg/hub
-  - statscache/backend
-  - role: collectd/fedmsg-service
-    process: fedmsg-hub
diff --git a/playbooks/groups/tagger.yml b/playbooks/groups/tagger.yml
deleted file mode 100644
index ff2264226..000000000
--- a/playbooks/groups/tagger.yml
+++ /dev/null
@@ -1,70 +0,0 @@
-# create a new tagger server
-# NOTE: should be used with --limit most of the time
-# NOTE: make sure there is room/space for this server on the vmhost
-# NOTE: most of these vars_path come from group_vars/tagger* or from hostvars
-
-- import_playbook: "/srv/web/infra/ansible/playbooks/include/virt-create.yml myhosts=tagger:tagger-stg"
-
-- name: make the box be real
-  hosts: tagger:tagger-stg
-  user: root
-  gather_facts: True
-
-  vars_files:
-   - /srv/web/infra/ansible/vars/global.yml
-   - "/srv/private/ansible/vars.yml"
-   - /srv/web/infra/ansible/vars/{{ ansible_distribution }}.yml
-
-  roles:
-  - base
-  - rkhunter
-  - nagios_client
-  - hosts
-  - fas_client
-  - collectd/base
-  - rsyncd
-  - sudo
-  - { role: openvpn/client,
-      when: env != "staging" }
-  - mod_wsgi
-
-  tasks:
-  - import_tasks: "{{ tasks_path }}/yumrepos.yml"
-  - import_tasks: "{{ tasks_path }}/2fa_client.yml"
-  - import_tasks: "{{ tasks_path }}/motd.yml"
-
-  handlers:
-  - import_tasks: "{{ handlers_path }}/restart_services.yml"
-
-- name: dole out the service specific config
-  hosts: tagger:tagger-stg
-  user: root
-  gather_facts: True
-
-  vars_files:
-   - /srv/web/infra/ansible/vars/global.yml
-   - "/srv/private/ansible/vars.yml"
-   - /srv/web/infra/ansible/vars/{{ ansible_distribution }}.yml
-
-  roles:
-  - tagger
-
-  handlers:
-  - import_tasks: "{{ handlers_path }}/restart_services.yml"
-
-# This comes last because it relies on a group created by the tagger role.
-- name: setup fedmsg
-  hosts: tagger:tagger-stg
-  user: root
-  gather_facts: True
-
-  vars_files:
-   - /srv/web/infra/ansible/vars/global.yml
-   - "/srv/private/ansible/vars.yml"
-   - /srv/web/infra/ansible/vars/{{ ansible_distribution }}.yml
-
-  roles:
-  - fedmsg/base
-
-  handlers:
-  - import_tasks: "{{ handlers_path }}/restart_services.yml"
diff --git a/playbooks/include/proxies-reverseproxy.yml b/playbooks/include/proxies-reverseproxy.yml
index 2033399a9..17a463b6f 100644
--- a/playbooks/include/proxies-reverseproxy.yml
+++ b/playbooks/include/proxies-reverseproxy.yml
@@ -124,14 +124,6 @@
     remotepath: /packages
     proxyurl: http://localhost:10016
 
-  - role: httpd/reverseproxy
-    website: apps.fedoraproject.org
-    destname: tagger
-    localpath: /tagger
-    remotepath: /tagger
-    rewrite: true
-    proxyurl: http://localhost:10017
-
   - role: httpd/reverseproxy
     website: ask.fedoraproject.org
     destname: askbot
@@ -338,13 +330,6 @@
     remotepath: /autocloud
     proxyurl: http://localhost:10041
 
-  - role: httpd/reverseproxy
-    website: apps.fedoraproject.org
-    destname: statscache
-    localpath: /statscache
-    remotepath: /statscache
-    proxyurl: http://localhost:10042
-
   - role: httpd/reverseproxy
     website: pdc.fedoraproject.org
     destname: pdc
diff --git a/playbooks/manual/rebuild/fedora-packages.yml b/playbooks/manual/rebuild/fedora-packages.yml
index e5aaf7244..e3f737ff1 100644
--- a/playbooks/manual/rebuild/fedora-packages.yml
+++ b/playbooks/manual/rebuild/fedora-packages.yml
@@ -39,7 +39,7 @@
 
   tasks:
   - name: Pull in the list of packages from pkgdb.  Go get a snack. (2 hours)
-    command: /usr/bin/fcomm-index-packages --index-db-dest=/var/cache/fedoracommunity/packages/xapian --icons-dest /var/cache/fedoracommunity/packages/icons --mdapi-url=https://apps.stg.fedoraproject.org/mdapi --icons-url=https://dl.fedoraproject.org/pub/alt/screenshots --tagger-url=https://apps.stg.fedoraproject.org/tagger
+    command: /usr/bin/fcomm-index-packages --index-db-dest=/var/cache/fedoracommunity/packages/xapian --icons-dest /var/cache/fedoracommunity/packages/icons --mdapi-url=https://apps.stg.fedoraproject.org/mdapi --icons-url=https://dl.fedoraproject.org/pub/alt/screenshots 
     when: install_packages_indexer
 
 - name: Rebuild that search index on the side and install it. (just prod)
@@ -57,7 +57,7 @@
 
   tasks:
   - name: Pull in the list of packages from pkgdb.  Go get a snack. (2 hours)
-    command: /usr/bin/fcomm-index-packages --index-db-dest=/var/cache/fedoracommunity/packages/xapian --icons-dest /var/cache/fedoracommunity/packages/icons --mdapi-url=https://apps.fedoraproject.org/mdapi --icons-url=https://dl.fedoraproject.org/pub/alt/screenshots --tagger-url=https://apps.fedoraproject.org/tagger
+    command: /usr/bin/fcomm-index-packages --index-db-dest=/var/cache/fedoracommunity/packages/xapian --icons-dest /var/cache/fedoracommunity/packages/icons --mdapi-url=https://apps.fedoraproject.org/mdapi --icons-url=https://dl.fedoraproject.org/pub/alt/screenshots 
     when: install_packages_indexer
 
 - name: leave maintenance mode
diff --git a/playbooks/manual/upgrade/statscache.yml b/playbooks/manual/upgrade/statscache.yml
deleted file mode 100644
index c004be669..000000000
--- a/playbooks/manual/upgrade/statscache.yml
+++ /dev/null
@@ -1,100 +0,0 @@
-- name: push packages out
-  hosts: statscache-backend:statscache-backend-stg:statscache-web:statscache-web-stg
-  user: root
-  vars_files: 
-   - /srv/web/infra/ansible/vars/global.yml
-   - "/srv/private/ansible/vars.yml"
-   - /srv/web/infra/ansible/vars/{{ ansible_distribution }}.yml
-  vars:
-    testing: False
-  handlers:
-  - import_tasks: "{{ handlers_path }}/restart_services.yml"
-
-  tasks:
-  - name: clean all metadata {%if testing%}(with infrastructure-testing on){%endif%}
-    command: yum clean all {%if testing%} --enablerepo=infrastructure-tags-stg {%endif%}
-    check_mode: no
-  - name: yum update statscache packages from main repo
-    yum: name="statscache*" state=latest
-    when: not testing
-  - name: yum update statscache packages from testing repo
-    yum: name="statscache*" state=latest enablerepo=infrastructure-tags-stg
-    when: testing
-
-- name: verify the frontend and stop it
-  hosts: statscache-web:statscache-web-stg
-  user: root
-  vars_files: 
-   - /srv/web/infra/ansible/vars/global.yml
-   - "/srv/private/ansible/vars.yml"
-   - /srv/web/infra/ansible/vars/{{ ansible_distribution }}.yml
-  handlers:
-  - import_tasks: "{{ handlers_path }}/restart_services.yml"
-
-  pre_tasks:
-  - name: tell nagios to shush w.r.t. the frontend
-    nagios: action=downtime minutes=15 service=host host={{ inventory_hostname_short }}{{ env_suffix }}
-    delegate_to: noc01.phx2.fedoraproject.org
-    ignore_errors: true
-
-  roles:
-  - statscache/frontend
-
-  post_tasks:
-  - service: name="httpd" state=stopped
-
-- name: verify the backend, stop it, and then upgrade the db
-  hosts: statscache-backend:statscache-backend-stg
-  user: root
-  vars_files: 
-   - /srv/web/infra/ansible/vars/global.yml
-   - "/srv/private/ansible/vars.yml"
-   - /srv/web/infra/ansible/vars/{{ ansible_distribution }}.yml
-  handlers:
-  - import_tasks: "{{ handlers_path }}/restart_services.yml"
-
-  pre_tasks:
-  - name: tell nagios to shush w.r.t. the backend
-    nagios: action=downtime minutes=15 service=host host={{ inventory_hostname_short }}{{ env_suffix }}
-    delegate_to: noc01.phx2.fedoraproject.org
-    ignore_errors: true
-
-  roles:
-  - statscache/backend
-
-  tasks:
-  - name: Stop the statscache backend
-    service: name="fedmsg-hub" state=stopped
-
-  #- name: Upgrade the database
-  #  command: /usr/bin/alembic -c /usr/share/statscache/alembic.ini upgrade head
-  #  args:
-  #    chdir: /usr/share/statscache/
-
-  - name: And... start the backend again
-    service: name="fedmsg-hub" state=started
-
-  post_tasks:
-  - name: tell nagios to unshush w.r.t. the backend
-    nagios: action=unsilence service=host host={{ inventory_hostname_short }}{{ env_suffix }}
-    delegate_to: noc01.phx2.fedoraproject.org
-    ignore_errors: true
-
-- name: restart the frontend
-  hosts: statscache-web:statscache-web-stg
-  user: root
-  vars_files: 
-   - /srv/web/infra/ansible/vars/global.yml
-   - "/srv/private/ansible/vars.yml"
-   - /srv/web/infra/ansible/vars/{{ ansible_distribution }}.yml
-  handlers:
-  - import_tasks: "{{ handlers_path }}/restart_services.yml"
-
-  tasks:
-  - service: name="httpd" state=started
-
-  post_tasks:
-  - name: tell nagios to unshush w.r.t. the frontend
-    nagios: action=unsilence service=host host={{ inventory_hostname_short }}{{ env_suffix }}
-    delegate_to: noc01.phx2.fedoraproject.org
-    ignore_errors: true
diff --git a/playbooks/manual/upgrade/tagger.yml b/playbooks/manual/upgrade/tagger.yml
deleted file mode 100644
index eb7680c34..000000000
--- a/playbooks/manual/upgrade/tagger.yml
+++ /dev/null
@@ -1,57 +0,0 @@
-- name: push packages out
-  hosts: tagger:tagger-stg
-  user: root
-  vars_files: 
-   - /srv/web/infra/ansible/vars/global.yml
-   - "/srv/private/ansible/vars.yml"
-   - /srv/web/infra/ansible/vars/{{ ansible_distribution }}.yml
-  vars:
-    testing: False
-  handlers:
-  - import_tasks: "{{ handlers_path }}/restart_services.yml"
-
-  tasks:
-  - name: clean all metadata {%if testing%}(with infrastructure-testing on){%endif%}
-    command: yum clean all {%if testing%} --enablerepo=infrastructure-tags-stg {%endif%}
-    check_mode: no
-  - name: yum update fedora-tagger packages from main repo
-    yum: name="fedora-tagger" state=latest
-    when: not testing
-  - name: yum update fedora-tagger packages from testing repo
-    yum: name="fedora-tagger" state=latest enablerepo=infrastructure-tags-stg
-    when: testing
-
-- name: verify the config and restart it
-  hosts: tagger:tagger-stg
-  user: root
-  vars_files: 
-   - /srv/web/infra/ansible/vars/global.yml
-   - "/srv/private/ansible/vars.yml"
-   - /srv/web/infra/ansible/vars/{{ ansible_distribution }}.yml
-  handlers:
-  - import_tasks: "{{ handlers_path }}/restart_services.yml"
-
-  pre_tasks:
-  - name: tell nagios to shush
-    nagios: action=downtime minutes=60 service=host host={{ inventory_hostname_short }}{{ env_suffix }}
-    delegate_to: noc01.phx2.fedoraproject.org
-    ignore_errors: true
-
-  roles:
-  - tagger
-
-  post_tasks:
-  - service: name="httpd" state=stopped
-
-  - name: Upgrade the database (only on one of the two nodes...)
-    command: /usr/bin/alembic -c /usr/share/fedoratagger/alembic.ini upgrade head
-    args:
-      chdir: /usr/share/fedoratagger/
-    when: inventory_hostname.startswith('tagger01')
-
-  - service: name="httpd" state=started
-
-  - name: tell nagios to unshush
-    nagios: action=unsilence service=host host={{ inventory_hostname_short }}{{ env_suffix }}
-    delegate_to: noc01.phx2.fedoraproject.org
-    ignore_errors: true
diff --git a/roles/apps-fp-o/files/apps.yaml b/roles/apps-fp-o/files/apps.yaml
index ca8fccd13..fdb2f527d 100644
--- a/roles/apps-fp-o/files/apps.yaml
+++ b/roles/apps-fp-o/files/apps.yaml
@@ -405,21 +405,6 @@ children:
                     answered here.
                     It is sometimes called "Fedora Community v2" after the old
                     <a href="https://admin.fedoraproject.org/community">Fedora Community</a> site.
-        -   name:   Tagger
-            data:
-                icon:   tagger.png
-                url:    https://apps.fedoraproject.org/tagger
-                package_url: https://apps.fedoraproject.org/tagger/{package}
-                source_url: https://github.com/fedora-infra/fedora-tagger
-                bugs_url:   https://github.com/fedora-infra/fedora-tagger/issues
-                docs_url:   https://github.com/fedora-infra/fedora-tagger/blob/develop/README.rst
-                sops:
-                    - https://infrastructure.fedoraproject.org/infra/docs/fedora-tagger.rst
-                status_mappings: ['tagger']
-                description: >
-                    Help build a tag cloud of all our packages.. It's actually
-                    really useful.  It'll help improve the search of the
-                    "Packages" webapp.
         -   name:   COPR
             data:
                 icon:   copr.png
diff --git a/roles/base/templates/syncHttpLogs.sh.j2 b/roles/base/templates/syncHttpLogs.sh.j2
index 3645a0a68..d83f63d65 100644
--- a/roles/base/templates/syncHttpLogs.sh.j2
+++ b/roles/base/templates/syncHttpLogs.sh.j2
@@ -101,15 +101,6 @@ syncHttpLogs {{host}}
 syncHttpLogs {{host}}
 {% endfor %}
 
-## Sync up all tagger hosts
-{% for host in groups['tagger'] %}
-syncHttpLogs {{host}}
-{% endfor %}
-
-{% for host in groups['tagger-stg'] %}
-syncHttpLogs {{host}}
-{% endfor %}
-
 ## Sync up all bodhi hosts
 {% for host in groups['bodhi2'] %}
 syncHttpLogs {{host}}
@@ -188,16 +179,6 @@ syncHttpLogs {{host}}
 syncHttpLogs {{host}}
 {% endfor %}
 
-
-## sync up statscache
-{% for host in groups['statscache-web'] %}
-syncHttpLogs {{host}}
-{% endfor %}
-
-{% for host in groups['statscache-web-stg'] %}
-syncHttpLogs {{host}}
-{% endfor %}
-
 ## sync up autocloud
 {% for host in groups['autocloud-web'] %}
 syncHttpLogs {{host}}
diff --git a/roles/haproxy/templates/haproxy.cfg b/roles/haproxy/templates/haproxy.cfg
index de2d6d327..010eed12a 100644
--- a/roles/haproxy/templates/haproxy.cfg
+++ b/roles/haproxy/templates/haproxy.cfg
@@ -125,18 +125,6 @@ backend packages-backend
 {% endif %}
     option  httpchk GET /packages/_heartbeat
 
-frontend tagger-frontend
-    bind 0.0.0.0:10017
-    default_backend tagger-backend
-
-backend tagger-backend
-    balance hdr(appserver)
-    server  tagger01 tagger01:80 check inter 60s rise 2 fall 3
-{% if env == "production" %}
-    server  tagger02 tagger02:80 check inter 60s rise 2 fall 3
-{% endif %}
-    option  httpchk GET /tagger/_heartbeat
-
 frontend totpcgiprovision-frontend
     bind 0.0.0.0:10019
     default_backend totpcgiprovision-backend
@@ -296,16 +284,6 @@ backend autocloud-backend
     server  autocloud-web02 autocloud-web02:80 check inter 10s rise 1 fall 2
     option  httpchk GET /autocloud/
 
-frontend statscache-frontend
-    bind 0.0.0.0:10042
-    default_backend statscache-backend
-
-backend statscache-backend
-    balance hdr(appserver)
-    server  statscache-web01 statscache-web01:80 check inter 10s rise 1 fall 2
-    server  statscache-web02 statscache-web02:80 check inter 10s rise 1 fall 2
-    option  httpchk GET /statscache/
-
 frontend mdapi-frontend
     bind 0.0.0.0:10043
     default_backend mdapi-backend
diff --git a/roles/hosts/files/statscache-backend01.stg.phx2.fedoraproject.org-hosts b/roles/hosts/files/statscache-backend01.stg.phx2.fedoraproject.org-hosts
deleted file mode 100644
index 342702be8..000000000
--- a/roles/hosts/files/statscache-backend01.stg.phx2.fedoraproject.org-hosts
+++ /dev/null
@@ -1,11 +0,0 @@
-127.0.0.1   localhost localhost.localdomain localhost4 localhost4.localdomain4
-::1         localhost localhost.localdomain localhost6 localhost6.localdomain6
-
-10.5.128.177     proxy01.phx2.fedoraproject.org proxy1 proxy2 proxy3 proxy4 proxy01 proxy02 proxy03 proxy04 proxy05 proxy06 proxy07 proxy08 proxy09 proxy10 proxy11 proxy12 proxy13 proxy14 fedoraproject.org admin.fedoraproject.org admin.stg.fedoraproject.org apps.stg.fedoraproject.org
-10.5.126.51     apps.fedoraproject.org
-10.5.126.23     infrastructure.fedoraproject.org
-10.5.128.175     pkgs.fedoraproject.org
-10.5.128.148    memcached01.stg.phx2.fedoraproject.org memcached01 memcached02 memcached03 memcached04
-10.5.128.120    db01.stg.phx2.fedoraproject.org db-ask db-elections db-koji01 db-datanommer db-datanommer01 db-datanommer02 db-datanommer02.phx2.fedoraproject.org db-github2fedmsg db-fedocal tagger_dbdb-summershum db-tahrir nuancier_db db-notifs db-blockerbugs db-kerneltest
-10.5.128.129    fas01.stg.phx2.fedoraproject.org fas01.phx2.fedoraproject.org fas1 fas2 fas01 fas02 fas03 fas-all
-10.5.128.139     koji01.stg.phx2.fedoraproject.org koji.stg.fedoraproject.org koji01 kojipkgs kojipkgs.stg.phx2.fedoraproject.org kojipkgs.stg.fedoraproject.org
diff --git a/roles/hosts/files/tagger01.phx2.fedoraproject.org-hosts b/roles/hosts/files/tagger01.phx2.fedoraproject.org-hosts
deleted file mode 100644
index 33c0123cf..000000000
--- a/roles/hosts/files/tagger01.phx2.fedoraproject.org-hosts
+++ /dev/null
@@ -1,7 +0,0 @@
-127.0.0.1   localhost localhost.localdomain localhost4 localhost4.localdomain4
-::1         localhost localhost.localdomain localhost6 localhost6.localdomain6
-
-10.5.126.23     infrastructure.fedoraproject.org
-10.5.125.63     koji.fedoraproject.org
-
-10.5.126.71     tagger_db         tagger_db
diff --git a/roles/hosts/files/tagger02.phx2.fedoraproject.org-hosts b/roles/hosts/files/tagger02.phx2.fedoraproject.org-hosts
deleted file mode 100644
index 33c0123cf..000000000
--- a/roles/hosts/files/tagger02.phx2.fedoraproject.org-hosts
+++ /dev/null
@@ -1,7 +0,0 @@
-127.0.0.1   localhost localhost.localdomain localhost4 localhost4.localdomain4
-::1         localhost localhost.localdomain localhost6 localhost6.localdomain6
-
-10.5.126.23     infrastructure.fedoraproject.org
-10.5.125.63     koji.fedoraproject.org
-
-10.5.126.71     tagger_db         tagger_db
diff --git a/roles/ipsilon/templates/configuration.conf b/roles/ipsilon/templates/configuration.conf
index 8e28f67a9..9b7b36edb 100644
--- a/roles/ipsilon/templates/configuration.conf
+++ b/roles/ipsilon/templates/configuration.conf
@@ -57,7 +57,7 @@ openid identity url template=http://%(username)s.id{{env_suffix}}.fedoraproject.
 {% if env == 'staging' %}
 openid trusted roots=
 {% else %}
-openid trusted roots=https://ask.fedoraproject.org/,https://fedorahosted.org/,https://badges.fedoraproject.org,https://apps.fedoraproject.org/tagger/,https://apps.fedoraproject.org/nuancier/,https://apps.fedoraproject.org/datagrepper/,https://apps.fedoraproject.org/calendar/,http://apps.fedoraproject.org/notifications/,http://copr.fedoraproject.org/,https://copr.fedoraproject.org/,https://admin.fedoraproject.org/voting/,https://apps.fedoraproject.org/github2fedmsg,https://admin.fedoraproject.org,https://apps.fedoraproject.org/,https://release-monitoring.org/,http://pagure.io/,http://admin.fedoraproject.org/mirrormanager/,https://apps.fedoraproject.org/koschei/,https://bodhi.fedoraproject.org,https://lists.fedoraproject.org/,https://openqa.fedoraproject.org/,https://src.fedoraproject.org/
+openid trusted roots=https://ask.fedoraproject.org/,https://fedorahosted.org/,https://badges.fedoraproject.org,https://apps.fedoraproject.org/nuancier/,https://apps.fedoraproject.org/datagrepper/,https://apps.fedoraproject.org/calendar/,http://apps.fedoraproject.org/notifications/,http://copr.fedoraproject.org/,https://copr.fedoraproject.org/,https://admin.fedoraproject.org/voting/,https://apps.fedoraproject.org/github2fedmsg,https://admin.fedoraproject.org,https://apps.fedoraproject.org/,https://release-monitoring.org/,http://pagure.io/,http://admin.fedoraproject.org/mirrormanager/,https://apps.fedoraproject.org/koschei/,https://bodhi.fedoraproject.org,https://lists.fedoraproject.org/,https://openqa.fedoraproject.org/,https://src.fedoraproject.org/
 {% endif %}
 openid database url=postgresql://{{ ipsilon_db_user }}:{{ ipsilon_db_pass }}@{{ ipsilon_db_host }}/{{ ipsilon_db_openid_name }}
 openid untrusted roots=
diff --git a/roles/nagios_server/templates/nagios/services/websites.cfg.j2 b/roles/nagios_server/templates/nagios/services/websites.cfg.j2
index fab4512fe..860da15dc 100644
--- a/roles/nagios_server/templates/nagios/services/websites.cfg.j2
+++ b/roles/nagios_server/templates/nagios/services/websites.cfg.j2
@@ -317,14 +317,6 @@ define service {
   use                   internalwebsitetemplate
 }
 
-define service {
-  hostgroup_name	tagger
-  service_description	http-tagger-internal
-  check_command		check_website!localhost!/tagger/api/v1/score/ralph/!libravatar.org
-  max_check_attempts	8
-  use			internalwebsitetemplate
-  #event_handler         restart_httpd
-}
 
 ## Internal services 
 
diff --git a/roles/notifs/backend/templates/fmn.consumer.py b/roles/notifs/backend/templates/fmn.consumer.py
index cefb138b6..6e978c829 100644
--- a/roles/notifs/backend/templates/fmn.consumer.py
+++ b/roles/notifs/backend/templates/fmn.consumer.py
@@ -135,7 +135,6 @@ config = {
         "fas": "light blue",
         "bodhi": "green",
         "git": "red",
-        "tagger": "brown",
         "wiki": "purple",
         "logger": "orange",
         "pkgdb": "teal",
diff --git a/roles/openvpn/server/files/ccd/statscache-web01.phx2.fedoraproject.org b/roles/openvpn/server/files/ccd/statscache-web01.phx2.fedoraproject.org
deleted file mode 100644
index 5bc426c20..000000000
--- a/roles/openvpn/server/files/ccd/statscache-web01.phx2.fedoraproject.org
+++ /dev/null
@@ -1,2 +0,0 @@
-# ifconfig-push actualIP PtPIP
-ifconfig-push 192.168.1.3 192.168.0.3
diff --git a/roles/openvpn/server/files/ccd/statscache-web02.phx2.fedoraproject.org b/roles/openvpn/server/files/ccd/statscache-web02.phx2.fedoraproject.org
deleted file mode 100644
index 31611b644..000000000
--- a/roles/openvpn/server/files/ccd/statscache-web02.phx2.fedoraproject.org
+++ /dev/null
@@ -1,2 +0,0 @@
-# ifconfig-push actualIP PtPIP
-ifconfig-push 192.168.1.4 192.168.0.4
diff --git a/roles/openvpn/server/files/ccd/tagger01.phx2.fedoraproject.org b/roles/openvpn/server/files/ccd/tagger01.phx2.fedoraproject.org
deleted file mode 100644
index ac0cbc6d6..000000000
--- a/roles/openvpn/server/files/ccd/tagger01.phx2.fedoraproject.org
+++ /dev/null
@@ -1,2 +0,0 @@
-# ifconfig-push actualIP PtPIP
-ifconfig-push 192.168.1.120 192.168.0.120
diff --git a/roles/openvpn/server/files/ccd/tagger02.phx2.fedoraproject.org b/roles/openvpn/server/files/ccd/tagger02.phx2.fedoraproject.org
deleted file mode 100644
index 1bebf82a7..000000000
--- a/roles/openvpn/server/files/ccd/tagger02.phx2.fedoraproject.org
+++ /dev/null
@@ -1,2 +0,0 @@
-# ifconfig-push actualIP PtPIP
-ifconfig-push 192.168.1.121 192.168.0.121
diff --git a/roles/packages3/web/tasks/main.yml b/roles/packages3/web/tasks/main.yml
index 6310eb8be..f6518f1ec 100644
--- a/roles/packages3/web/tasks/main.yml
+++ b/roles/packages3/web/tasks/main.yml
@@ -158,7 +158,7 @@
     state: present
 
 - name: Build the database the first time. This takes a while
-  command: /usr/bin/fcomm-index-packages --index-db-dest=/var/cache/fedoracommunity/packages/xapian --icons-dest /var/cache/fedoracommunity/packages/icons --mdapi-url=https://apps{{env_suffix}}.fedoraproject.org/mdapi --icons-url=https://dl.fedoraproject.org/pub/alt/screenshots --tagger-url=https://apps{{env_suffix}}.fedoraproject.org/tagger creates=/var/cache/fedoracommunity/packages/xapian/search/termlist.glass
+  command: /usr/bin/fcomm-index-packages --index-db-dest=/var/cache/fedoracommunity/packages/xapian --icons-dest /var/cache/fedoracommunity/packages/icons --mdapi-url=https://apps{{env_suffix}}.fedoraproject.org/mdapi --icons-url=https://dl.fedoraproject.org/pub/alt/screenshots 
   tags:
   - packages
   - packages/web
diff --git a/roles/packages3/web/templates/packages-app.ini.j2 b/roles/packages3/web/templates/packages-app.ini.j2
index cfdb5be88..e50f5297d 100644
--- a/roles/packages3/web/templates/packages-app.ini.j2
+++ b/roles/packages3/web/templates/packages-app.ini.j2
@@ -23,7 +23,6 @@ fedoracommunity.script_name = /packages
 fedoracommunity.connector.kojihub.baseurl = https://koji{{env_suffix}}.fedoraproject.org/kojihub
 fedoracommunity.connector.bodhi.baseurl = https://bodhi{{env_suffix}}.fedoraproject.org/
 fedoracommunity.connector.mdapi.baseurl = https://apps{{env_suffix}}.fedoraproject.org/mdapi
-fedoracommunity.connector.tagger.baseurl = https://apps{{env_suffix}}.fedoraproject.org/tagger
 fedoracommunity.connector.fas.baseurl = https://admin{{env_suffix}}.fedoraproject.org/accounts/
 fedoracommunity.connector.icons.baseurl = http://download01.phx2.fedoraproject.org/pub/alt/screenshots
 {% if env == "staging" %}
@@ -64,10 +63,8 @@ datagrepper_url = https://apps.fedoraproject.org/datagrepper/raw
 #
 {% if env == "staging" %}
 feed_cache = postgres://fedoracommunity:{{ fcommFeedCacheDBPassword }}@db-community.stg/fedoracommunity_feed_cache
-stats_cache = postgres://fedoracommunity:{{ fcommFeedCacheDBPassword }}@db-community.stg/fedoracommunity_stats_cache
 {% else %}
 feed_cache = postgres://fedoracommunity:{{ fcommFeedCacheDBPassword }}@db-community/fedoracommunity_feed_cache
-stats_cache = postgres://fedoracommunity:{{ fcommFeedCacheDBPassword }}@db-community/fedoracommunity_stats_cache
 {% endif %}
 
 #
diff --git a/roles/statscache/backend/tasks/main.yml b/roles/statscache/backend/tasks/main.yml
deleted file mode 100644
index bf328b0e2..000000000
--- a/roles/statscache/backend/tasks/main.yml
+++ /dev/null
@@ -1,43 +0,0 @@
----
-# Configuration for the notifications consumer
-
-- name: install needed packages
-  package: name={{ item }} state=present
-  with_items:
-  - statscache-consumer
-  - statscache-plugins
-  - python-psycopg2
-  - libsemanage-python
-  tags:
-  - notifs
-  - notifs/backend
-
-- name: copy database configuration
-  template: >
-    src={{ item }} dest=/etc/fedmsg.d/{{ item }}
-    owner=fedmsg group=fedmsg mode=0600
-  with_items:
-  - statscache.py
-  notify:
-  - restart fedmsg-hub
-  tags:
-  - notifs
-  - notifs/backend
-
-- name: ensure we have a dir to copy shared config to.
-  file: >
-    dest=/usr/share/statscache/ state=directory
-    owner=root group=root mode=0755
-  tags:
-  - notifs
-  - notifs/backend
-
-- name: copy the alembic configuration for DBAs
-  template: >
-    src=alembic.ini dest=/usr/share/statscache/alembic.ini
-    owner=root group=sysadmin-dba mode=0660
-  notify:
-  - restart fedmsg-hub
-  tags:
-  - notifs
-  - notifs/backend
diff --git a/roles/statscache/backend/templates/alembic.ini b/roles/statscache/backend/templates/alembic.ini
deleted file mode 100644
index f62e08c0f..000000000
--- a/roles/statscache/backend/templates/alembic.ini
+++ /dev/null
@@ -1,53 +0,0 @@
-# A generic, single database configuration.
-
-[alembic]
-# path to migration scripts
-script_location = /usr/share/statscache/alembic/
-
-# template used to generate migration files
-# file_template = %%(rev)s_%%(slug)s
-
-# max length of characters to apply to the
-# "slug" field
-#truncate_slug_length = 40
-
-# set to 'true' to run the environment during
-# the 'revision' command, regardless of autogenerate
-# revision_environment = false
-
-sqlalchemy.url = postgres://statscache:{{statscache_db_password}}@db01/statscache
-
-# Logging configuration
-[loggers]
-keys = root,sqlalchemy,alembic
-
-[handlers]
-keys = console
-
-[formatters]
-keys = generic
-
-[logger_root]
-level = WARN
-handlers = console
-qualname =
-
-[logger_sqlalchemy]
-level = WARN
-handlers =
-qualname = sqlalchemy.engine
-
-[logger_alembic]
-level = INFO
-handlers =
-qualname = alembic
-
-[handler_console]
-class = StreamHandler
-args = (sys.stderr,)
-level = NOTSET
-formatter = generic
-
-[formatter_generic]
-format = %(levelname)-5.5s [%(name)s] %(message)s
-datefmt = %H:%M:%S
diff --git a/roles/statscache/backend/templates/statscache.py b/roles/statscache/backend/templates/statscache.py
deleted file mode 100644
index 6e64d8810..000000000
--- a/roles/statscache/backend/templates/statscache.py
+++ /dev/null
@@ -1,55 +0,0 @@
-import datetime
-
-
-config = {
-    "statscache.datagrepper.profile": False,
-    {% if env == 'staging' %}
-    #"statscache.datagrepper.endpoint": "https://apps.stg.fedoraproject.org/datagrepper/raw",
-
-    # Consume production fedmsg data in staging for now.
-    "statscache.datagrepper.endpoint": "https://apps.fedoraproject.org/datagrepper/raw",
-    "endpoints": {
-        "production-loopback": [
-            "tcp://10.5.126.51:9940",
-        ],
-    },
-
-    {% else %}
-    "statscache.datagrepper.endpoint": "https://apps.fedoraproject.org/datagrepper/raw",
-    {% endif %}
-
-    # Consumer stuff
-    "statscache.consumer.enabled": True,
-
-    "statscache.sqlalchemy.uri": "postgres://statscache:{{statscache_db_password}}@db01/statscache",
-
-    # stats models will go back at least this far (current value arbitrary)
-    {% if env == 'staging' %}
-    "statscache.consumer.epoch": datetime.datetime(year=2015, month=10, day=1),
-    {% else %}
-    "statscache.consumer.epoch": datetime.datetime(year=2014, month=1, day=1),
-    {% endif %}
-
-    # stats models are updated at this frequency
-    "statscache.producer.frequency": datetime.timedelta(seconds=1),
-
-    # Configuration of web API
-    "statscache.app.maximum_rows_per_page": 100,
-    "statscache.app.default_rows_per_page": 100,
-
-    # Turn on logging for statscache
-    "logging": dict(
-        loggers=dict(
-            statscache={
-                "level": "DEBUG",
-                "propagate": False,
-                "handlers": ["console"],
-            },
-            statscache_plugins={
-                "level": "DEBUG",
-                "propagate": False,
-                "handlers": ["console"],
-            },
-        ),
-    ),
-}
diff --git a/roles/statscache/frontend/files/statscache.wsgi b/roles/statscache/frontend/files/statscache.wsgi
deleted file mode 100644
index 16bff2b9c..000000000
--- a/roles/statscache/frontend/files/statscache.wsgi
+++ /dev/null
@@ -1,8 +0,0 @@
-# http://stackoverflow.com/questions/8007176/500-error-without-anything-in-the-apache-logs
-import logging
-import sys
-logging.basicConfig(stream=sys.stderr)
-
-import statscache.app
-application = statscache.app.app
-#application.debug = True  # Nope.  Be careful!
diff --git a/roles/statscache/frontend/tasks/main.yml b/roles/statscache/frontend/tasks/main.yml
deleted file mode 100644
index 3abab745c..000000000
--- a/roles/statscache/frontend/tasks/main.yml
+++ /dev/null
@@ -1,75 +0,0 @@
----
-# Configuration for the Fedora Notifications webapp
-
-- name: install needed packages
-  package: name={{ item }} state=present
-  with_items:
-  - statscache-web
-  - statscache-plugins
-  - python-psycopg2
-  - libsemanage-python
-  notify:
-  - restart apache
-  tags:
-  - statscache
-  - statscache/frontend
-
-- name: copy statscache app configuration
-  template: >
-    src={{ item }} dest=/etc/fedmsg.d/{{ item }}
-    owner=apache group=apache mode=0600
-  with_items:
-  - statscache.py
-  notify:
-  - restart apache
-  tags:
-  - statscache
-  - statscache/frontend
-
-- name: copy statscache httpd config
-  template: >
-    src=statscache.conf dest=/etc/httpd/conf.d/statscache.conf
-    owner=apache group=apache mode=0644
-  notify:
-  - restart apache
-  tags:
-  - statscache
-  - statscache/frontend
-
-- name: copy custom wsgi file
-  copy: src=statscache.wsgi dest=/usr/share/statscache/apache/statscache.wsgi mode=0644
-  notify:
-  - restart apache
-  tags:
-  - statscache
-  - statscache/frontend
-
-- name: copy app configuration
-  template: >
-    src=statscache.cfg dest=/etc/statscache.cfg
-    owner=root group=apache mode=0640
-  notify:
-  - restart apache
-  tags:
-  - statscache
-  - statscache/frontend
-
-- name: apply selinux type to static files
-  file: >
-    dest=/usr/share/statscache/static
-    setype=httpd_sys_content_t
-    state=directory
-    recurse=yes
-  tags:
-  - statscache
-  - statscache/frontend
-  - selinux
-
-- name: ensure selinux lets httpd talk to postgres
-  seboolean: name={{item}} state=yes persistent=yes
-  with_items:
-  - httpd_can_network_connect_db
-  tags:
-  - statscache
-  - statscache/frontend
-  - selinux
diff --git a/roles/statscache/frontend/templates/statscache.cfg b/roles/statscache/frontend/templates/statscache.cfg
deleted file mode 100644
index bf543daa6..000000000
--- a/roles/statscache/frontend/templates/statscache.cfg
+++ /dev/null
@@ -1,2 +0,0 @@
-### Secret key for the Flask application
-SECRET_KEY='{{statscache_secret_key}}'
diff --git a/roles/statscache/frontend/templates/statscache.conf b/roles/statscache/frontend/templates/statscache.conf
deleted file mode 100644
index 81884a39b..000000000
--- a/roles/statscache/frontend/templates/statscache.conf
+++ /dev/null
@@ -1,18 +0,0 @@
-LoadModule wsgi_module modules/mod_wsgi.so
-
-WSGIDaemonProcess statscache user=apache group=apache maximum-requests=50000 display-name=statscache processes=4 threads=4 inactivity-timeout=300
-WSGISocketPrefix run/wsgi
-WSGIRestrictStdout Off
-WSGIRestrictSignal Off
-WSGIPythonOptimize 1
-
-WSGIScriptAlias /statscache         /usr/share/statscache/apache/statscache.wsgi
-Alias           /statscache/static/ /usr/lib/python2.7/site-packages/statscache/static/
-
-<Location /statscache>
-    WSGIProcessGroup statscache
-    Require all granted
-</Location>
-<Directory /usr/share/statscache/>
-    Require all granted
-</Directory>
diff --git a/roles/statscache/frontend/templates/statscache.py b/roles/statscache/frontend/templates/statscache.py
deleted file mode 100644
index 0363e2dcf..000000000
--- a/roles/statscache/frontend/templates/statscache.py
+++ /dev/null
@@ -1,37 +0,0 @@
-import datetime
-
-
-config = {
-    "statscache.datagrepper.profile": False,
-
-    # Consumer stuff
-    "statscache.consumer.enabled": False,
-
-    "statscache.sqlalchemy.uri": "postgres://statscache:{{statscache_db_password}}@db01/statscache",
-
-    # stats models will go back at least this far (current value arbitrary)
-    "statscache.consumer.epoch": datetime.datetime(year=2015, month=8, day=8),
-
-    # stats models are updated at this frequency
-    "statscache.producer.frequency": datetime.timedelta(seconds=1),
-
-    # Configuration of web API
-    "statscache.app.maximum_rows_per_page": 100,
-    "statscache.app.default_rows_per_page": 100,
-
-    # Turn on logging for statscache
-    "logging": dict(
-        loggers=dict(
-            statscache={
-                "level": "DEBUG",
-                "propagate": False,
-                "handlers": ["console"],
-            },
-            statscache_plugins={
-                "level": "DEBUG",
-                "propagate": False,
-                "handlers": ["console"],
-            },
-        ),
-    ),
-}
diff --git a/roles/tagger/files/cron-tagger-remove-retired b/roles/tagger/files/cron-tagger-remove-retired
deleted file mode 100644
index 03c9720fb..000000000
--- a/roles/tagger/files/cron-tagger-remove-retired
+++ /dev/null
@@ -1,2 +0,0 @@
-# Pull in new packages from koji and pkgdb every other hour at 19 minutes past.
-49 */2 * * * apache FEDORATAGGER_CONFIG=/etc/fedoratagger/fedoratagger.cfg /usr/bin/fedoratagger-remove-pkgs -s Retired >> /var/log/fedoratagger.log 2>&1
diff --git a/roles/tagger/files/cron-tagger-update-db b/roles/tagger/files/cron-tagger-update-db
deleted file mode 100644
index 57a030d42..000000000
--- a/roles/tagger/files/cron-tagger-update-db
+++ /dev/null
@@ -1,2 +0,0 @@
-# Pull in new packages from koji and pkgdb every other hour at 19 minutes past.
-19 */2 * * * apache FEDORATAGGER_CONFIG=/etc/fedoratagger/fedoratagger.cfg /usr/bin/fedoratagger-update-db >> /var/log/fedoratagger.log 2>&1
diff --git a/roles/tagger/tasks/main.yml b/roles/tagger/tasks/main.yml
deleted file mode 100644
index d8a8c0d46..000000000
--- a/roles/tagger/tasks/main.yml
+++ /dev/null
@@ -1,123 +0,0 @@
----
-# Configuration for the tahrir webapp
-
-
-# TODO -- add the cronjob
-
-
-- name: install needed packages
-  package: name={{ item }} state=present
-  with_items:
-  - fedora-tagger
-  - python-psycopg2
-  - python-memcached
-  - python-webob
-  - koji
-  tags:
-  - packages
-  - tagger
-
-- name: link the README into the right place because tagger is ridiculous
-  file: >
-    src=/usr/lib/python2.7/site-packages/fedoratagger/README.rst
-    dest=/usr/lib/python2.7/site-packages/README.rst
-    state=link
-  tags:
-  - config
-  - ridiculous
-  - tagger
-
-- name: make the cache directory
-  file: >
-    path=/var/cache/fedoratagger
-    state=directory
-    owner=apache group=apache mode=0755
-  tags:
-  - config
-  - tagger
-
-- name: copy tagger app configuration
-  template: >
-    src=fedoratagger.cfg.j2
-    dest=/etc/fedoratagger/fedoratagger.cfg
-    owner=apache
-    group=apache
-    mode=0640
-  tags:
-  - config
-  - tagger
-  notify:
-  - restart apache
-
-- name: copy tagger httpd config
-  template: >
-    src=fedoratagger-app.conf
-    dest=/etc/httpd/conf.d/fedoratagger.conf
-    owner=apache
-    group=apache
-    mode=0644
-  tags:
-  - config
-  - tagger
-  notify:
-  - restart apache
-
-- name: copy tagger alembic config
-  template: >
-    src=alembic.ini
-    dest=/usr/share/fedoratagger/alembic.ini
-    owner=apache
-    group=apache
-    mode=0640
-  tags:
-  - config
-  - tagger
-
-- name: Set some selinux booleans
-  seboolean: name={{item}} persistent=yes state=yes
-  with_items:
-  - httpd_can_network_connect_db
-  - httpd_verify_dns
-  tags:
-  - selinux
-  - tagger
-
-- name: check log file
-  command: stat /var/log/fedoratagger.log
-  register: logstat
-  check_mode: no
-  changed_when: "1 != 1"
-  ignore_errors: true
-  tags:
-  - tagger
-
-- name: ensure cronjob log file is writable
-  file: >
-    dest=/var/log/fedoratagger.log
-    state=touch
-    owner=apache group=apache mode=0755
-  tags:
-  - cron
-  - config
-  - tagger
-  when: logstat.rc == 1
-
-- name: setup the update-with-new-packages cronjob
-  copy: >
-    src=cron-tagger-update-db
-    dest=/etc/cron.d/cron-tagger-update-db
-  tags:
-  - cron
-  - config
-  - tagger
-  when: install_tagger_cron
-
-- name: setup the remove-old-and-crusty-packages cronjob
-  copy: >
-    src=cron-tagger-remove-retired
-    dest=/etc/cron.d/cron-tagger-remove-retired
-  tags:
-  - cron
-  - config
-  - tagger
-  when: install_tagger_cron
diff --git a/roles/tagger/templates/alembic.ini b/roles/tagger/templates/alembic.ini
deleted file mode 100644
index b55401fe2..000000000
--- a/roles/tagger/templates/alembic.ini
+++ /dev/null
@@ -1,53 +0,0 @@
-# A generic, single database configuration.
-
-[alembic]
-# path to migration scripts
-script_location = alembic
-
-# template used to generate migration files
-# file_template = %%(rev)s_%%(slug)s
-
-# max length of characters to apply to the
-# "slug" field
-#truncate_slug_length = 40
-
-# set to 'true' to run the environment during
-# the 'revision' command, regardless of autogenerate
-# revision_environment = false
-
-sqlalchemy.url = postgresql://fedoratagger:{{taggerDBPassword}}@tagger_db/fedoratagger
-
-# Logging configuration
-[loggers]
-keys = root,sqlalchemy,alembic
-
-[handlers]
-keys = console
-
-[formatters]
-keys = generic
-
-[logger_root]
-level = WARN
-handlers = console
-qualname =
-
-[logger_sqlalchemy]
-level = WARN
-handlers =
-qualname = sqlalchemy.engine
-
-[logger_alembic]
-level = INFO
-handlers =
-qualname = alembic
-
-[handler_console]
-class = StreamHandler
-args = (sys.stderr,)
-level = NOTSET
-formatter = generic
-
-[formatter_generic]
-format = %(levelname)-5.5s [%(name)s] %(message)s
-datefmt = %H:%M:%S
diff --git a/roles/tagger/templates/fedoratagger-app.conf b/roles/tagger/templates/fedoratagger-app.conf
deleted file mode 100644
index d820011f4..000000000
--- a/roles/tagger/templates/fedoratagger-app.conf
+++ /dev/null
@@ -1,48 +0,0 @@
-LoadModule expires_module modules/mod_expires.so
-LoadModule headers_module modules/mod_headers.so
-LoadModule deflate_module modules/mod_deflate.so
-
-ExpiresActive On
-#ExpiresDefault "access plus 300 seconds"
-
-ErrorLog logs/fedoracommunity_error_log
-CustomLog logs/fedoracommunity_access_log combined
-
-AddOutputFilterByType DEFLATE text/html text/plain text/xml text/javascript text/css application/x-javascript
-
-# This caching may not necessarily be ideal, or even correct.
-# However, it was the only I could get firebug to show me 302's for
-# my ToscaWidget resources.
-<filesmatch ".(gif|jpe?g|png|css|js)$">
-   Header unset Cache-Control
-   Header unset Etag
-   Header add Cache-Control "max-age=2592000"
-   #ExpiresDefault A2592000
-</filesmatch>
-
-# Lots of static resources for the tagger app.
-Alias /tagger/css /usr/lib/python2.7/site-packages/fedoratagger/frontend/static/css
-Alias /tagger/javascript /usr/lib/python2.7/site-packages/fedoratagger/frontend/static/javascript
-Alias /tagger/images /usr/lib/python2.7/site-packages/fedoratagger/frontend/static/images/
-Alias /tagger/rating /usr/lib/python2.7/site-packages/fedoratagger/frontend/static/rating/
-Alias /tagger/_res /usr/share/fedoratagger/toscawidgets/resources
-
-WSGIPythonEggs /var/cache/fedoracommunity/.python-eggs
-WSGIDaemonProcess fedoratagger user=apache group=fedoratagger maximum-requests=50000 display-name=fedoratagger processes={{ wsgi_procs }} threads={{ wsgi_threads }} inactivity-timeout=300
-WSGISocketPrefix run/wsgi
-WSGIRestrictStdout Off
-WSGIRestrictSignal Off
-WSGIPythonOptimize 1
-
-WSGIScriptAlias /tagger /usr/share/fedoratagger/fedoratagger.wsgi
-
-<Directory /usr/share/fedoratagger/>
-  WSGIProcessGroup fedoratagger
-  Require all granted
-</Directory>
-<Directory /usr/lib/python2.7/site-packages/fedoratagger/frontend/static/>
-  Require all granted
-</Directory>
-<Directory /usr/share/fedoratagger/toscawidgets/resources>
-  Require all granted
-</Directory>
diff --git a/roles/tagger/templates/fedoratagger.cfg.j2 b/roles/tagger/templates/fedoratagger.cfg.j2
deleted file mode 100644
index 24414f17f..000000000
--- a/roles/tagger/templates/fedoratagger.cfg.j2
+++ /dev/null
@@ -1,30 +0,0 @@
-### Secret key for the Flask application
-SECRET_KEY = 'wat {{taggerCookieSecret}}'
-
-### url to the database server:
-DB_URL = 'postgresql://fedoratagger:{{taggerDBPassword}}@tagger_db/fedoratagger'
-{% if env == "staging" %}
-FAS_OPENID_ENDPOINT = 'https://id.stg.fedoraproject.org/openid/'
-{% else %}
-FAS_OPENID_ENDPOINT = 'https://id.fedoraproject.org/openid/'
-{% endif %}
-
-# This is required for openid to work in stg.  Might as well for prod too.
-PREFERRED_URL_SCHEME = 'https'
-
-# Make browsers send session cookie only via HTTPS
-SESSION_COOKIE_SECURE = True
-
-# Stuff for toscawidgets2
-RES_PREFIX = '/tagger/_res/'
-
-### Unhappy mako
-MAKO_OUTPUT_ENCODING='utf-8'
-
-{% if env == "staging" %}
-FEDMENU_URL = 'https://apps.stg.fedoraproject.org/fedmenu'
-FEDMENU_DATA_URL = 'https://apps.stg.fedoraproject.org/js/data.js'
-{% else %}
-FEDMENU_URL = 'https://apps.fedoraproject.org/fedmenu'
-FEDMENU_DATA_URL = 'https://apps.fedoraproject.org/js/data.js'
-{% endif %}
diff --git a/roles/varnish/templates/proxies.vcl.j2 b/roles/varnish/templates/proxies.vcl.j2
index 5150c367f..99ec18210 100644
--- a/roles/varnish/templates/proxies.vcl.j2
+++ b/roles/varnish/templates/proxies.vcl.j2
@@ -99,11 +99,6 @@ backend packages {
     .port = "10016";
 }
 
-backend tagger {
-    .host = "localhost";
-    .port = "10017";
-}
-
 backend askbot {
     .host = "localhost";
     .port = "10021";
@@ -248,13 +243,6 @@ sub vcl_recv {
     if (req.url ~ "^/freemedia/") {
         set req.backend_hint = freemedia;
     }
-    if (req.url ~ "^/tagger/") {
-        set req.backend_hint = tagger;
-        if (req.url ~ "^/tagger/ui/static/") {
-            unset req.http.cookie;
-            set req.http.clear-cookies = "yes";
-            set req.url = regsub(req.url, "\?.*", "");
-        }
     }
     if (req.http.X-Forwarded-Server ~ "^paste.fedoraproject.org") {
         set req.backend_hint = paste;
-- 
2.17.1

